singularity(1)

NAME

singularity-capability-drop - Remove capabilities from a user or group (requires root)

SYNOPSIS

singularity capability drop [drop options...]

DESCRIPTION

Remove Linux capabilities from a user/group. NOTE: This command requires root
  to run.

The capabilities argument must be separated by commas and is not case
  sensitive.

To see available capabilities, type "singularity capability avail" or refer to
  capabilities manual "man 7 capabilities"

OPTIONS

-g, --group=""
    manage capabilities for a group

-h, --help[=false]
    help for drop

-u, --user=""
    manage capabilities for a user

EXAMPLE

      $ sudo singularity capability drop --user nobody AUDIT_READ,CHOWN
      $ sudo singularity capability drop --group nobody audit_write

      To drop all capabilities for a user:

      $ sudo singularity capability drop --user nobody all

SEE ALSO

singularity-capability(1)

HISTORY

21-Jul-2025 Auto generated by spf13/cobra